/* quickie versions of group_from_gid and user_from_uid
 * Brian R. Gaeke, 07/16/1997 for Channel 48 WCET-TV
 * These versions return pointers into static buffers, so it's
 * best to copy the results into another buffer if you're going
 * to be calling them a lot.
 *
 * Who knows what the second parameter is. I've ignored it without
 * any visible effect.
 *
 * Of course, my code is the smallest *.o in the library.  ;-)
 */
#include <sys/types.h>
#include <pwd.h>
#include <grp.h>
#include <string.h>

const char *group_from_gid(gid_t gid, int whatever)
{
	struct group *gr;
	static char mybuf[200];
	gr = getgrgid(gid);
	if (gr)
	{
		strcpy(mybuf, gr->gr_name);
	}
	else
	{
		mybuf[0] = 0;
	}
	return mybuf;
}

const char *user_from_uid(uid_t uid, int whatever)
{
	struct passwd *pw;
	static char mybuf[200];
	pw = getpwuid(uid);
	if (pw)
	{
		strcpy(mybuf, pw->pw_name);
	}
	else
	{
		mybuf[0] = 0;
	}
	return mybuf;
}
